[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| vigra::detail Namespace Reference [Image Registration, Common Filters, Edge Detection, Fast Fourier Transform, Import/Export of Images and Arrays in HDF5 Format, Image Iterators, Image Import/Export Facilities, Local Minima and Maxima, Mathematical Functions, Multi-dimensional Array Tags, Convolution filters for multi-dimensional arrays., Import/export of volume data., Machine Learning] |

## Classes
class | DecisionTree
class | RF_DEFAULT
| singleton default tag class - More...
class | Value_Chooser
| chooses between default type and type supplied More...
## Functions
template<unsigned int N, class T, class C>
bool | contains_inf (MultiArrayView< N, T, C > const &in)
template<unsigned int N, class T, class C>
bool | contains_nan (MultiArrayView< N, T, C > const &in)
template<class T>
void | fill_external_parameters (RandomForestOptions &options, ProblemSpec< T > &ext_param)

## Detailed Description

Functor To Calculate the Best possible Split Based on the Gini Index given Labels and Features along a given Axis

## Function Documentation

template<class T>
void vigra::detail::fill_external_parameters | ( | RandomForestOptions & | options,
|  | ProblemSpec< T > & | ext_param |
| ) |  |  |

Common helper function used in all Processors. This function analyses the options struct and calculates the real values needed for the current problem (data)

template<unsigned int N, class T, class C>
bool vigra::detail::contains_nan | ( | MultiArrayView< N, T, C > const & | in | ) |

Returns true if MultiArray contains NaNs

template<unsigned int N, class T, class C>
bool vigra::detail::contains_inf | ( | MultiArrayView< N, T, C > const & | in | ) |

Returns true if MultiArray contains Infs

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)